<?php

/************************************************************/
/* IMPORTANT NOTE FOR THEMES DEVELOPERS!                    */
/*                                                          */
/* When you start coding your theme, if you want to         */
/* distribute it, please double check it to fit the HTML    */
/* 4.01 Transitional Standard. You can use the W3 validator */
/* located at http://validator.w3.org                       */
/* If you don't know where to start with your theme, just   */
/* start modifying this theme, it's validate and is cool ;) */
/************************************************************/

/************************************************************/
/* Theme Colors Definition                                  */
/*                                                          */
/* Define colors for your web site. $bgcolor2 is generaly   */
/* used for the tables border as you can see on OpenTable() */
/* function, $bgcolor1 is for the table background and the  */
/* other two bgcolor variables follows the same criteria.   */
/* $texcolor1 and 2 are for tables internal texts           */

/************************************************************/
global $bgcolor1, $bgcolor2, $bgcolor3, $bgcolor4, $bgcolor5, $bgcolor6, $textcolor1, $textcolor2, $textcolor3, $thename;

$thename = "BlueBump";
$theme    = "BlueBump";
$bgcolor1 = "#DEDEE6";
$bgcolor2 = "#BCBCCB";
$bgcolor3 = "#BCBCCB";
$bgcolor4 = "#DEDEE6";
$bgcolor5 = "#DEDEE6";
$bgcolor6 = "#DEDEE6";
$textcolor1 = "#660000";
$textcolor2 = "#660000";
$textcolor3 = "#660000";
$bargif = "images/stats/bar1.gif";

/************************************************************/
/* FormatStory                                              */
/*                                                          */
/* Here we'll format the look of the stories in our site.   */
/* If you dig a little on the function you will notice that */
/* we set different stuff for anonymous, admin and users    */
/* when displaying the story.                               */
/************************************************************/

function FormatStory($thetext, $notes, $aid, $informant) {
    global $anonymous;
    if ($notes != "") {
        $notes = "<br><br><b>".translate("Note")."</b> <i>$notes</i>\n";
    } else {
        $notes = "";
    }
    if ("$aid" == "$informant") {
        echo "$thetext$notes\n";
    } else {
        if($informant != "") {
            $boxstuff = "<a href=\"user.php?op=userinfo&amp;uname=$informant\">$informant</a> ";
        } else {
            $boxstuff = "$anonymous ";
        }
        $boxstuff .= "".translate("writes")." <i>\"$thetext\"</i>$notes\n";
        echo "$boxstuff\n";
    }
}

/************************************************************/
/* Function themeindex()                                    */
/*                                                          */
/* This function format the stories on the Homepage         */
/************************************************************/

function themeindex ($aid, $informant, $time, $title, $counter, $topic, $thetext, $notes, $morelink, $topicname, $topicimage, $topictext) {
    global $anonymous, $tipath;
    echo "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" bgcolor=\"#FFFFFF\"><tr><td width=\"9\" height=\"10\"><img src=\"themes/BlueBump/images/corner-top-left.gif\" width=\"9\" height=\"10\"></td><td><table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" background=\"themes/BlueBump/images/bottom_bg.gif\"><tr><td><img src=\"themes/BlueBump/images/pixel.gif\" width=\"10\" height=\"10\"></td></tr></table></td><td width=\"9\" height=\"10\" align=\"right\"><img src=\"themes/BlueBump/images/corner-top-right.gif\" width=\"9\" height=\"10\"></td></tr><tr><td><img src=\"themes/BlueBump/images/pixel.gif\" width=\"9\" height=\"10\"></td><td width=\"100%\" align=\"left\"><table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td>\n"
        ."<font class=\"arthead\">$title</font><br><font class=\"artsubhead\">".translate("Posted by")." ";
    formatAidHeader($aid);
    echo " ".translate("on")." $time ($counter ".translate("reads").")</font></td></tr></table>\n"
        ."<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td width=\"4\" height=\"7\" align=\"right\"><img src=\"themes/BlueBump/images/corner_line_left.gif\" width=\"4\" height=\"7\"></td><td width=\"100%\" background=\"themes/BlueBump/images/line_bg.gif\"><img src=\"themes/BlueBump/images/line_bg.gif\" width=\"50\" height=\"7\"></td><td width=\"4\" height=\"7\"><img src=\"themes/BlueBump/images/corner_line_right.gif\" width=\"4\" height=\"7\"></td></tr></table><table><tr><td class=\"art\">\n"
        ."</table><table width=\"100%\">\n"
            ."<a href=\"search.php?query=&topic=$topic\"><img src=\"images/topics/$topicimage\" border=\"0\" alt=\"$topictext\" align=\"right\" hspace=\"5\" vspace=\"5\"></a>\n";
    FormatStory($thetext, $notes, $aid, $informant);
    echo "</td></tr></table>\n"
        ."<table border=\"0\" cellpadding=\"9\" cellspacing=\"0\" width=\"100%\"><tr><td align=\"right\" class=\"artsubhead\">\n"
        ."$morelink\n"
        ."</td></tr></table>\n"
        ."</td><td><img src=\"themes/BlueBump/images/pixel.gif\" width=\"9\" height=\"10\"></td></tr><tr><td><img src=\"themes/BlueBump/images/corner-bottom-left.gif\" width=\"9\" height=\"7\"></td><td><img src=\"themes/BlueBump/images/pixel.gif\" width=\"10\" height=\"7\"></td><td><img src=\"themes/BlueBump/images/corner-bottom-right.gif\" width=\"9\" height=\"7\"></td></tr></table>\n"
        ."<br>\n";
}

/************************************************************/
/* Function themearticle()                                    */
/*                                                          */
/* This function format the stories on the story page, when */
/* you click on that "Read More..." link in the home        */
/************************************************************/

function themearticle ($aid, $informant, $datetime, $title, $thetext, $topic, $topicname, $topicimage, $topictext) {
    global $admin, $sid, $tipath;
    echo "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td><a href=\"search.php?query=&amp;topic=$topic\"><img src=\"$tipath$topicimage\" border=\"0\" Alt=\"$topictext\" align=\"right\" hspace=\"1\" vspace=\"3\"></a><font class=\"arthead\">$title</font><br>\n"
        ."<font class=\"artsubhead\">".translate("Posted on")." $datetime ".translate("by")." ";
    formatAidHeader($aid);
    if ($admin) {
        echo "<br>[ <a href=\"admin.php?op=EditStory&sid=$sid\">".translate("Edit")."</a> | <a href=\"admin.php?op=RemoveStory&sid=$sid\">".translate("Delete")."</a> ]\n";
    }
    echo "</td></tr></table><table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" background=\"themes/BlueBump/images/line_bg.gif\"><tr><td width=\"4\" height=\"7\"><img src=\"themes/BlueBump/images/corner_line_left.gif\" width=\"4\" height=\"7\"></td><td><table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td><img src=\"themes/BlueBump/images/line_bg.gif\" height=\"7\"></td></tr></table></td><td width=\"4\" height=\"7\" align=\"right\"><img src=\"themes/BlueBump/images/corner_line_right.gif\" width=\"4\" height=\"7\"></td></tr></table><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n";
    echo"<tr><td class=\"art\"><br>\n";
    FormatStory($thetext, $notes="", $aid, $informant);
    echo "</td></tr></table><br>\n";
}

/************************************************************/
/* Function themesidebox()                                  */
/*                                                          */
/* Control look of your blocks. Just simple.                */
/************************************************************/

function themesidebox($title, $content) {
    echo "<img src=\"themes/BlueBump/images/box_head.gif\" width=\"185\" height=\"19\" alt=\"\" border=\"0\"><br><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" bgcolor=\"#9999CC\" background=\"themes/BlueBump/images/box_headline.gif\" width=\"185\" height=\"21\"><tr><td align=center class=\"menuehead\">\n"
        ."$title\n"
        ."</td></tr></table>\n"
        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" bgcolor=\"#9999CC\" width=\"185\">\n"
        ."<tr valign=\"top\"><td width=\"20\" background=\"themes/BlueBump/images/box_bg_l.gif\"><img src=\"themes/BlueBump/images/pixel.gif\" width=\"20\" height=\"10\"></td><td class=\"artsubhead\"><img src=\"themes/BlueBump/images/pixel.gif\" width=\"150\" height=\"1\"><br>\n"
        ."$content\n"
    ."</td><td width=\"15\" background=\"themes/BlueBump/images/box_bg_r.gif\"><img src=\"themes/BlueBump/images/pixel.gif\" width=\"15\" height=\"10\"></td></tr></table><img src=\"themes/BlueBump/images/box_foot.gif\" width=\"185\" height=\"30\" alt=\"\" border=\"0\"><br>\n";
}

?>