<?php

// Some theme color definitions
$thename  = "BubbleGum";
$bgcolor1 = "#F3CBDD";
$bgcolor2 = "#F3DCE6";
$bgcolor3 = "#F3DCE6";
$bgcolor4 = "#F3DCE6";
$bgcolor5 = "#F3DCE6";
$bgcolor6 = "#F3DCE6";
$textcolor1 = "#000000";
$textcolor2 = "#000000";
$bargif     = "images/stats/bar3.gif";

/************************************************************/

function FormatStory($thetext, $notes, $aid, $informant) {
    global $anonymous;
    if ($notes != "") {
	$notes = "<br><br><b>".translate("Note")."</b> <i>$notes</i>\n";
    } else {
	$notes = "";
    }
    if ("$aid" == "$informant") {
	echo "<font class=\"content\" color=\"#505050\">$thetext$notes</font>\n";
    } else {
	if($informant != "") {
	    $boxstuff = "<a href=\"user.php?op=userinfo&uname=$informant\">$informant</a> ";
	} else {
	    $boxstuff = "$anonymous ";
	}
	$boxstuff .= "".translate("writes")." <i>\"$thetext\"</i>$notes\n";
	echo "<font class=\"content\" color=\"#505050\">$boxstuff</font>\n";
    }
}

/************************************************************/


function themeindex ($aid, $informant, $time, $title, $counter, $topic, $thetext, $notes, $morelink, $topicname, $topicimage, $topictext) {
    global $anonymous, $tipath;

// Story Box Title Table
    echo "<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"100%\">\n"
	."<tr>\n"
	."<td align=\"left\"><font class=\"option\" color=\"#363636\"><b>$title</b></font>\n"
	."<br><font class=\"tiny\" size=\"1\">".translate("Posted by")." ";
    formatAidHeader($aid);
    echo " ".translate("on")." $time $timezone ($counter ".translate("reads").")</font><br><br>\n"
	."</td>\n"
	."</tr>\n"
	."</table>\n\n\n"

// Story Box Content
    ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
    ."<tr>\n"
    ."<td>\n"
	."<font class=\"tiny\"><b><a href=\"search.php?query=&topic=$topic\"><img src=\"images/topics/$topicimage\" border=\"0\" alt=\"$topictext\" align=\"right\" hspace=\"10\" vspace=\"10\"></a></B></font>\n";
    FormatStory($thetext, $notes, $aid, $informant);
    echo "</td>\n"
    ."</tr>\n"
    ."</table>\n\n\n"

// Story Box Posted By, Morelink, Print
	."<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"100%\">\n"
	."<tr>\n"
	."<td align=\"right\">\n"
	."<br><font class=\"tiny\">$morelink</font>\n"
	."</td>\n"
	."</tr>\n"
	."</table>\n"
	."<br>\n"
	."<center>---------------------------------------------------------</center>\n"
	."<br>\n\n\n";
}

/************************************************************/


function themearticle ($aid, $informant, $datetime, $title, $thetext, $topic, $topicname, $topicimage, $topictext) {
    global $admin, $sid, $tipath;

// Read More Title Area
    echo "<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr>\n"
        ."<td align=\"left\">\n"
        ."<font class=\"option\"><b>$title</b></font>\n"
        ."<br>\n"
        ."<font class=\"content\">".translate("Posted on")." $datetime ".translate("by")." ";
    formatAidHeader($aid);
    if ($admin) {
	echo "<br>[ <a href=\"admin.php?op=EditStory&sid=$sid\">".translate("Edit")."</a> | <a href=\"admin.php?op=RemoveStory&sid=$sid\">".translate("Delete")."</a> ]\n";
    }
    echo "</td>\n"
        ."</tr>\n"
        ."</table>\n\n\n"

        ."<br>\n\n\n"

// Read More Content
        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr>\n"
        ."<td>\n";
    echo "<a href=\"search.php?query=&topic=$topic\"><img src=\"images/topics/$topicimage\" border=\"0\" Alt=\"$topictext\" align=\"right\" hspace=\"10\" vspace=\"10\"></a>\n";
    FormatStory($thetext, $notes="", $aid, $informant);
    echo "</td>\n"
        ."</tr>\n"
        ."</table>\n\n\n"

        ."<br>\n\n\n";
}

/************************************************************/

include ("modules/aide-contextuelle/AC.php");

function themesidebox($title, $content) {

    $title=AidBlocRequestX($title);

// Side Box Title
    echo "<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"100%\">\n"
	."<tr>\n"
	."<td align=left>\n"
	."<font class=\"content\" color=\"#363636\"><b>$title</b></font>\n"
	."</td>\n"
	."</tr>\n"
	."</table>\n"

// Side Box Content
	."<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"150\">\n"
	."<tr valign=\"top\">\n"
	."<td>\n"
	."$content\n"
	."</td>\n"
	."</tr>\n"
	."</table>\n\n\n"

	."<br>\n\n\n";
}

?>