<?php

/****************************************************************************/
/* THEME NAME: Caase-Simple                                                 */
/* THEME DEVELOPER: Mark "Mr Caase" McClelland(http://www.mrcaase.com)      */
/****************************************************************************/

/************************************************************/
/*                                                          */
/* Theme Colors Definition                                  */
/*                                                          */
/* Control the header for your site. You need to define the */
/* BODY tag and in some part of the code call the blocks    */
/* function for left side with: blocks(left);               */
/************************************************************/

$thename = "Caase-Simple";
$bgcolor1 = "#ffffff";
$bgcolor2 = "#6699cc";
$bgcolor3 = "#6699cc";
$bgcolor4 = "#6699cc";
$bgcolor5 = "#6699cc";
$bgcolor6 = "#6699cc";
$textcolor1 = "#000000";
$textcolor2 = "#000000";
$bargif     = "images/stats/bar2.gif";

function FormatStory($thetext, $notes, $aid, $informant) {
    global $anonymous;
    if ($notes != "") {
	$notes = "<br><b>".translate("Note")."</b> <i>$notes</i>\n";
    } else {
	$notes = "";
    }
    if ("$aid" == "$informant") {
	echo "<font size=\"2\" color=\"#000066\">$thetext<br>$notes</font>\n";
    } else {
	if($informant != "") {
	    $boxstuff = "<a href=\"user.php?op=userinfo&uname=$informant\">$informant</a> ";
	} else {
	    $boxstuff = "$anonymous ";
	}
	$boxstuff .= "".translate("writes")." \"$thetext\" $notes\n";
	echo "<font size=\"2\" color=\"#000066\">$boxstuff</font>\n";
    }
}

/************************************************************/
/* Function themeindex ()                                   */
/*                                                          */
/* Control the header for your site. You need to define the */
/* BODY tag and in some part of the code call the blocks    */
/* function for left side with: blocks(left);               */
/************************************************************/

function themeindex ($aid, $informant, $time, $title, $counter, $topic, $thetext, $notes, $morelink, $topicname, $topicimage, $topictext) {
    global $anonymous, $tipath;
    echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"1\" width=\"100%\" bgcolor=\"#000000\">\n"
    ."<tr>\n"
    ."<td background=\"themes/Caase-Simple/images/titleBar.gif\">&nbsp; \n"
    ."</td>\n"
    ."</tr>\n"
    ."</table>\n"
    ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
    ."<tr>\n"
    ."<td>\n"
	."<table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" bgcolor=\"#000000\" width=\"100%\"><tr>\n"
	."<td bgcolor=\"#427FBC\" align=\"left\">\n"
	."<font size=\"2\" color=\"#363636\"><b>$title</b></font>\n"
	."<br><font color=\"#999999\" size=\"1\">".translate("Posted by")." ";
    formatAidHeader($aid);
    echo " ".translate("on")." $time $timezone ($counter ".translate("reads").")</font>\n"
	."</td></tr>\n"
	."<tr><td bgcolor=\"#ffffff\">\n"
	."<font color=\"#999999\"><b><a href=\"search.php?query=&topic=$topic\"><img src=\"$tipath$topicimage\" border=\"0\" Alt=\"$topictext\" align=\"right\" hspace=\"10\" vspace=\"10\"></a></B></font>\n";
    FormatStory($thetext, $notes, $aid, $informant);
    echo "</td></tr>\n"
    ."<tr><td bgcolor=\"#ffffff\" align=\"right\">\n"
	."<font size=\"2\">$morelink</font>\n"
	."</td></tr></table></td></tr></table>\n"
	."<br>\n\n\n";
}

/************************************************************/
/* Function themearticle()                                  */
/*                                                          */
/* Control the header for your site. You need to define the */
/* BODY tag and in some part of the code call the blocks    */
/* function for left side with: blocks(left);               */
/************************************************************/

function themearticle ($aid, $informant, $datetime, $title, $thetext, $topic, $topicname, $topicimage, $topictext) {
    global $admin, $sid, $tipath;
    echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"5\" bgcolor=\"#ffffff\" width=\"100%\"><tr><td>\n"
        ."<table border=\"0\" cellpadding=\"1\" cellspacing=\"0\" bgcolor=\"#000000\" width=\"100%\"><tr><td>\n"
        ."<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" bgcolor=\"#ffffff\" width=\"100%\"><tr><td align=\"left\">\n"
        ."<font size=\"2\" color=\"#363636\"><b>$title</b></font><br>\n"
        ."".translate("Posted on")." $datetime ".translate("by")." ";
    formatAidHeader($aid);
    if ($admin) {
	echo "<br>[ <a href=\"admin.php?op=EditStory&sid=$sid\">".translate("Edit")."</a> | <a href=\"admin.php?op=RemoveStory&sid=$sid\">".translate("Delete")."</a> ]\n";
    }
    echo "</td></tr></table></td></tr></table><br>";
    echo "<a href=\"search.php?query=&topic=$topic\"><img src=\"$tipath$topicimage\" border=\"0\" Alt=\"$topictext\" align=\"right\" hspace=\"10\" vspace=\"10\"></a>\n";
    FormatStory($thetext, $notes="", $aid, $informant);
    echo "</td></tr></table><br>\n\n\n";
}

/************************************************************/
/* Function themesidebox()                                  */
/*                                                          */
/* Control the header for your site. You need to define the */
/* BODY tag and in some part of the code call the blocks    */
/* function for left side with: blocks(left);               */
/************************************************************/

function themesidebox($title, $content) {
    echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" bgcolor=\"#6699cc\" width=\"150\"><tr><td>\n"
    ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"150\">\n"
    ."<tr>\n"
    ."<td><img src=\"themes/Caase-Simple/images/sideBoxTop.gif\"></td>\n"
    ."</tr>\n"
    ."</table>\n"

	."<table border=\"0\" cellpadding=\"3\" cellspacing=\"1\" bgcolor=\"#000000\" width=\"100%\">\n"
	."<tr><td bgcolor=\"#427FBC\" align=\"center\">\n"
	."<font size=\"1\" color=\"#363636\"><b>$title</b></font>\n"
	."</td></tr>\n"
	."<tr>\n"
	."<td bgcolor=\"#6699cc\">$content</td>\n"
	."</tr>\n"
	."</table></td></tr></table>\n"
	."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"150\">\n"
	."<tr>\n"
	."<td><img src=\"themes/Caase-Simple/images/sideBoxBottom.gif\"></td>\n"
	."</tr>\n"
    ."</table>\n"
	."<br>\n\n\n";
}

?>
