<?php

/************************************************************/
/* Theme Colors Definition                                  */
/*                                                          */
/* Define colors for your web site. $bgcolor2 is generaly   */
/* used for the tables border as you can see on OpenTable() */
/* function, $bgcolor1 is for the table background and the  */
/* other two bgcolor variables follows the same criteria.   */
/* $texcolor1 and 2 are for tables internal texts           */
/************************************************************/

$thename  = "Icey";
$bgcolor1 = "#ffffff";
$bgcolor2 = "#8F9CAC";
$bgcolor3 = "#8F9CAC";
$bgcolor4 = "#ffffff";
$bgcolor5 = "#8F9CAC";
$bgcolor6 = "#8F9CAC";
$textcolor1 = "#000000";
$textcolor2 = "#000000";
$bargif     = "themes/Icey/images/mainbar.gif";

/************************************************************/
/* FormatStory                                              */
/*                                                          */
/* Here we'll format the look of the stories in our site.   */
/* If you dig a little on the function you will notice that */
/* we set different stuff for anonymous, admin and users    */
/* when displaying the story.                               */
/************************************************************/

function FormatStory($thetext, $notes, $aid, $informant) {
    global $anonymous;
    if ($notes != "") {
        $notes = "<br><br><b>".translate(note)."</b> <i>$notes</i>\n";
    } else {
        $notes = "";
    }
    if ("$aid" == "$informant") {
        echo "<font class=\"content\" color=\"#505050\">$thetext$notes</font>\n";
    } else {
        if($informant != "") {
            $boxstuff = "<a href=\"user.php?op=userinfo&uname=$informant\">$informant</a> ";
        } else {
            $boxstuff = "$anonymous ";
        }
        $boxstuff .= "".translate("writes")." <i>\"$thetext\"</i>$notes\n";
        echo "<font class=\"content\" color=\"#505050\">$boxstuff</font>\n";
    }
}



/************************************************************/
/* Function themeindex()                                    */
/*                                                          */
/* This function format the stories on the Homepage         */
/************************************************************/

function themeindex ($aid, $informant, $time, $title, $counter, $topic, $thetext, $notes, $morelink, $topicname, $topicimage, $topictext) {
    global $anonymous, $tipath;
    echo "<br><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" bgcolor=\"#ffffff\" width=\"95%\" align=\"center\">\n"
    ."<tr>\n"
    ."<td>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr>\n"
        ."<td align=\"left\" valign=\"top\" width=\"26\" height=\"30\"><img src=\"themes/Icey/images/sidebox-title-left.gif\"></td>\n"
        ."<td align=\"left\" valign=\"middle\" background=\"themes/Icey/images/sidebox-title-bg.gif\" width=\"100%\" height=\"30\">\n"
        ."<font class=\"option\" color=\"#363636\">&nbsp;&nbsp;<b>$title</b></font>\n"
        ."</td>\n"
        ."<td align=\"left\" valign=\"top\" width=\"6\" height=\"30\"><img src=\"themes/Icey/images/sidebox-title-right.gif\"></td>\n"
        ."</tr>\n"
        ."</table>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr>\n"
        ."<td>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr>\n"
        ."<td align=\"left\" valign=\"top\" width=\"15\" height=\"46\"><img src=\"themes/Icey/images/storybox-left.gif\"></td>\n"
        ."<td align=\"left\" valign=\"middle\" background=\"themes/Icey/images/storybox-bg.gif\" width=\"100%\" height=\"46\">\n"
        ."<font color=\"#999999\" size=\"1\">".translate("Posted by")." ";
    formatAidHeader($aid);
    echo " ".translate("on")." $time $timezone ($counter ".translate("reads").")</font>\n"
        ."<font color=\"#999999\">$morelink</font>\n"
        ."</td>\n"
    ."<td width=\"12\" align=\"left\" valign=\"top\"><img src=\"themes/Icey/images/storybox-right.gif\"></td>\n"
        ."</tr>\n"
        ."</table>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr>\n"
        ."<td width=\"4\" align=\"left\" valign=\"top\" background=\"themes/Icey/images/sidebox-bar-left.gif\"><img src=\"themes/Icey/images/sidebox-bar-px.gif\"></td>\n"
        ."<td>\n"

        ."<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr valign=\"top\">\n"
        ."<td width=\"800\">\n"
        ."<font color=\"#999999\"><b><a href=\"search.php?query=&topic=$topic\"><img src=\"$tipath$topicimage\" border=\"0\" Alt=\"$topictext\" align=\"right\" hspace=\"10\" vspace=\"10\"></a></B></font>\n";
    FormatStory($thetext, $notes, $aid, $informant);
    echo "</td></tr></table>\n"
    ."</td>\n"
    ."<td width=\"13\" align=\"left\" valign=\"top\" background=\"themes/Icey/images/storybox-content-right.gif\"><img src=\"themes/Icey/images/storybox-content-right-px.gif\"></td>\n"
    ."</tr></table>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr valign=\"top\">\n"
        ."<td width=\"9\" height=\"29\" align=\"left\" valign=\"top\"><img src=\"themes/Icey/images/storybox-bottom-left.gif\"></td>\n"
        ."<td width=\"100%\" height=\"29\" background=\"themes/Icey/images/storybox-bottom-bg.gif\">&nbsp;</td>\n"
        ."<td width=\"18\" height=\"29\" align=\"left\" valign=\"top\"><img src=\"themes/Icey/images/storybox-bottom-right.gif\"></td>\n"
    ."</table>\n"

    ."</td></tr></table>\n"

    ."</td></tr></table>\n";
}

/************************************************************/
/* Function themearticle()                                  */
/*                                                          */
/* This function format the stories on the story page, when */
/* you click on that "Read More..." link in the home        */
/************************************************************/

function themearticle ($aid, $informant, $datetime, $title, $thetext, $topic, $topicname, $topicimage, $topictext) {
    global $admin, $sid, $tipath;
    echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" bgcolor=\"#ffffff\" width=\"100%\"><tr><td>\n"
        ."<table border=\"0\" cellpadding=\"1\" cellspacing=\"0\" bgcolor=\"#000000\" width=\"100%\"><tr><td>\n"
        ."<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" bgcolor=\"#ffffff\" width=\"100%\"><tr><td align=\"left\">\n"
        ."<font class=\"option\" color=\"#363636\"><b>$title</b></font><br>\n"
        ."<font class=\"content\">".translate("Posted on")." $datetime ".translate("by")." ";
    formatAidHeader($aid);
    if ($admin) {
        echo "<br>[ <a href=\"admin.php?op=EditStory&sid=$sid\">".translate("Edit")."</a> | <a href=\"admin.php?op=RemoveStory&sid=$sid\">".translate("Delete")."</a> ]\n";
    }
    echo "</td></tr></table></td></tr></table><br>";
    echo "<a href=\"search.php?query=&topic=$topic\"><img src=\"$tipath$topicimage\" border=\"0\" Alt=\"$topictext\" align=\"right\" hspace=\"10\" vspace=\"10\"></a>\n";
    FormatStory($thetext, $notes="", $aid, $informant);
    echo "</td></tr></table><br>\n\n\n";
}

/************************************************************/
/* Function themesidebox()                                  */
/*                                                          */
/* Control look of your blocks. Just simple.                */
/************************************************************/

include ("modules/aide-contextuelle/AC.php");

function themesidebox($title, $content) {

    $title=AidBlocRequestX($title);

    echo "<br><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"185\"><tr><td>\n"
        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr>\n"
        ."<td align=\"left\" valign=\"top\" width=\"26\" height=\"30\"><img src=\"themes/Icey/images/sidebox-title-left.gif\"></td>\n"
        ."<td align=\"left\" valign=\"middle\" background=\"themes/Icey/images/sidebox-title-bg.gif\" width=\"100%\" height=\"30\">\n"
        ."<font class=\"option\" color=\"#ffffff\">&nbsp;&nbsp;<b>$title</b></font></td>\n"
        ."<td align=\"left\" valign=\"top\" width=\"6\" height=\"30\"><img src=\"themes/Icey/images/sidebox-title-right.gif\"></td>\n"
        ."</tr>\n"
        ."</table>\n"
        ."</td>\n"
        ."</tr>\n"
        ."</table>\n\n"
        ."<!----- Side Box Content ----->\n"
        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"185\">\n"
        ."<tr valign=\"top\">\n"
        ."<td width=\"4\" align=\"left\" valign=\"top\" background=\"themes/Icey/images/sidebox-bar-left.gif\"><img src=\"themes/Icey/images/sidebox-bar-px.gif\"></td>\n"

        ."<td bgcolor=\"#ffffff\" width=\"166\" align=\"left\" valign=\"top\">\n"
        ."<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"167\">\n"
        ."<tr>\n"
        ."<td>\n"
        ."$content\n"
        ."</td>\n"
        ."</tr>\n"
        ."</table>\n"
        ."</td>\n"
    ."<td width=\"4\" align=\"left\" valign=\"top\" background=\"themes/Icey/images/sidebox-bar-right.gif\"><img src=\"themes/Icey/images/sidebox-bar-px.gif\"></td>\n"
        ."</tr></table>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"185\">\n"
        ."<tr>\n"
        ."<td align=\"left\" valign=\"top\" width=\"185\" height=\"29\">\n"
        ."<img src=\"themes/Icey/images/sidebox-bottom.gif\"  width=\"185\">\n"
        ."</td>\n"
        ."</tr>\n"
        ."</table>\n\n\n";
}

?>