<?php

/************************************************************/
/* IMPORTANT NOTE FOR THEMES DEVELOPERS!                    */
/*                                                          */
/* When you start coding your theme, if you want to         */
/* distribute it, please double check it to fit the HTML    */
/* 4.01 Transitional Standard. You can use the W3 validator */
/* located at http://validator.w3.org                       */
/* If you don't know where to start with your theme, just   */
/* start modifying this theme, it's validate and is cool ;) */
/************************************************************/

/************************************************************/
/* Theme Colors Definition                                  */
/*                                                          */
/* Define colors for your web site. $bgcolor2 is generaly   */
/* used for the tables border as you can see on OpenTable() */
/* function, $bgcolor1 is for the table background and the  */
/* other two bgcolor variables follows the same criteria.   */
/* $texcolor1 and 2 are for tables internal texts           */
/************************************************************/

$thename    = "Oscuro";
$bgcolor1 = "#CE6F00";
$bgcolor2 = "#696969";
$bgcolor3 = "#696969";
$bgcolor4 = "#696969";
$bgcolor5 = "#CE6F00";
$bgcolor6 = "#CE6F00";
$textcolor1 = "#FFD26A";
$textcolor2 = "#FFD26A";
$bargif     = "images/stats/bar3.gif";

/************************************************************/
/* FormatStory                                              */
/*                                                          */
/* Here we'll format the look of the stories in our site.   */
/* If you dig a little on the function you will notice that */
/* we set different stuff for anonymous, admin and users    */
/* when displaying the story.                               */
/************************************************************/

function FormatStory($thetext, $notes, $aid, $informant) {
    global $anonymous;
    if ($notes != "") {
        $notes = "<br><br><b>".translate("Note")."</b> <i>$notes</i>\n";
    } else {
        $notes = "";
    }
    if ("$aid" == "$informant") {
        echo "$thetext$notes\n";
    } else {
        if($informant != "") {
            $boxstuff = "<a href=\"user.php?op=userinfo&uname=$informant\">$informant</a> ";
        } else {
            $boxstuff = "$anonymous ";
        }
        $boxstuff .= "".("writes")." <i>\"$thetext\"</i>$notes\n";
        echo "$boxstuff\n";
    }
}

/************************************************************/
/* Function themeindex()                                    */
/*                                                          */
/* This function format the stories on the Homepage         */
/************************************************************/

function themeindex ($aid, $informant, $time, $title, $counter, $topic, $thetext, $notes, $morelink, $topicname, $topicimage, $topictext) {
    global $anonymous, $tipath;
    echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" align=\"center\" width=\"100%\">\n"
    ."<tr>\n"
    ."<td>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr>\n"
        ."<td align=\"left\" valign=\"top\" width=\"26\" height=\"30\"><img src=\"themes/Oscuro/images/sidebox-title-left.gif\"></td>\n"
        ."<td align=\"left\" valign=\"middle\" background=\"themes/Oscuro/images/sidebox-title-bg.gif\" width=\"100%\" height=\"30\">\n"
        ."<font class=\"option\" color=\"#FFD26A\"><b>$title</b></font>\n"
        ."</td>\n"
        ."<td align=\"left\" valign=\"top\" width=\"28\" height=\"30\"><img src=\"themes/Oscuro/images/sidebox-title-right.gif\"></td>\n"
        ."</tr>\n"
        ."</table>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr>\n"
        ."<td>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr>\n"
        ."<td align=\"left\" valign=\"top\" width=\"15\" height=\"46\"><img src=\"themes/Oscuro/images/storybox-left.gif\"></td>\n"
        ."<td align=\"left\" valign=\"middle\" background=\"themes/Oscuro/images/storybox-bg.gif\" width=\"100%\" height=\"46\">\n"
        ."<font color=\"#ffffff\" size=\"2\">".translate("Posted by")." ";
    formatAidHeader($aid);
    echo " ".translate("on")." $time</font>\n"
        ."<font color=\"#ffffff\">$morelink</font>\n"
        ."</td>\n"
    ."<td width=\"12\" align=\"left\" valign=\"top\"><img src=\"themes/Oscuro/images/storybox-right.gif\"></td>\n"
        ."</tr>\n"
        ."</table>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr>\n"
        ."<td width=\"1\" align=\"left\" valign=\"top\" background=\"themes/Oscuro/images/sidebox-bar-left.gif\"><img src=\"themes/Oscuro/images/sidebox-bar-px.gif\"></td>\n"
        ."<td>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr valign=\"top\" width=\"100%\">\n"
        ."<td width=\"100%\">\n"
        ."<font color=\"#FFD26A\"><b><a href=\"search.php?query=&topic=$topic\"><img src=\"$tipath$topicimage\" border=\"0\" Alt=\"$topictext\" align=\"right\" hspace=\"1\" vspace=\"1\"></a></B></font>\n";
    FormatStory($thetext, $notes, $aid, $informant);
    echo "</td></tr></table>\n"
    ."</td>\n"
    ."<td width=\"13\" align=\"left\" valign=\"top\" background=\"themes/Oscuro/images/storybox-content-right.gif\"><img src=\"themes/Oscuro/images/storybox-content-right-px.gif\"></td>\n"
    ."</tr></table>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr valign=\"top\">\n"
        ."<td width=\"9\" height=\"15\" align=\"left\" valign=\"top\"><img src=\"themes/Oscuro/images/storybox-bottom-left.gif\"></td>\n"
        ."<td width=\"100%\" height=\"15\" background=\"themes/Oscuro/images/storybox-bottom-bg.gif\"></td>\n"
        ."<td width=\"120\" height=\"15\" align=\"left\" valign=\"top\"><img src=\"themes/Oscuro/images/storybox-bottom-right.gif\"></td>\n"
    ."</table>\n"

    ."</td></tr></table>\n"

    ."</td></tr></table>\n";
}

/************************************************************/
/* Function themeindex()                                    */
/*                                                          */
/* This function format the stories on the story page, when */
/* you click on that "Read More..." link in the home        */
/************************************************************/

function themearticle ($aid, $informant, $datetime, $title, $thetext, $topic, $topicname, $topicimage, $topictext) {
    global $admin, $sid, $tipath;
    echo "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td><a href=\"search.php?query=&topic=$topic\"><img src=\"$tipath$topicimage\" border=\"0\" Alt=\"$topictext\" align=\"right\" hspace=\"1\" vspace=\"0\"></a><font class=\"arthead\">$title</font>\n"
        ."<font class=\"artsubhead\">".translate("Posted on")." $datetime ".translate("by")." ";
    formatAidHeader($aid);
    if ($admin) {
        echo "<br>[ <a href=\"admin.php?op=EditStory&sid=$sid\">".translate("Edit")."</a> | <a href=\"admin.php?op=RemoveStory&sid=$sid\">".translate("Delete")."</a> ]\n";
    }
    echo "</td></tr></table><table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" background=\"themes/Oscuro/images/line_bg.gif\"><tr><td width=\"4\" height=\"7\"><img src=\"themes/Oscuro/images/corner_line_left.gif\" width=\"4\" height=\"7\"></td><td><table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td><img src=\"themes/Oscuro/images/line_bg.gif\" height=\"7\"></td></tr></table></td><td width=\"4\" height=\"7\" align=\"right\"><img src=\"themes/Oscuro/images/corner_line_right.gif\" width=\"4\" height=\"7\"></td></tr></table><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n";
    echo "<tr><td class=\"art\"><br>\n";
    FormatStory($thetext, $notes="", $aid, $informant);
    echo "</td></tr></table><br>\n";
}

/************************************************************/
/* Function themesidebox()                                  */
/*                                                          */
/* Control look of your blocks. Just simple.                */
/************************************************************/

include ("modules/aide-contextuelle/AC.php");

function themesidebox($title, $content) {

    $title=AidBlocRequestX($title);

    echo "<img src=\"themes/Oscuro/images/box_head.gif\" width=\"185\" height=\"19\" alt=\"\" border=\"0\"><br><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" background=\"themes/Oscuro/images/box_headline.gif\" width=\"185\" height=\"27\"><tr><td align=center class=\"menuehead\">\n"
        ."$title\n"
        ."</td></tr></table>\n"
        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"185\">\n"
        ."<tr valign=\"top\"><td width=\"20\" background=\"themes/Oscuro/images/box_bg_l.gif\"><img src=\"themes/Oscuro/images/pixel.gif\" width=\"20\" height=\"10\"></td><td class=\"artsubhead\"><img src=\"themes/Oscuro/images/pixel.gif\" width=\"115\" height=\"1\"><br>\n"
        ."$content\n"
    ."</td><td width=\"15\" background=\"themes/Oscuro/images/box_bg_r.gif\"><img src=\"themes/Oscuro/images/pixel.gif\" width=\"15\" height=\"10\"></td></tr></table><img src=\"themes/Oscuro/images/box_foot.gif\" width=\"185\" height=\"15\" alt=\"\" border=\"0\"><br>\n";
}

function themecenterbox($title, $content) {
    echo "

	<table border=0 cellpadding=0 cellspacing=0 width=\"100%\">
		<tr>
    	<td background=\"themes/Trek/images/nav-bar.gif\" height=\"23\" width=\"2\"><IMG src=\"themes/Trek/images/nav-bar.gif\" width=2 height=1 alt=\"\" border=0></td>
    	<td background=\"themes/Trek/images/nav-bar.gif\" height=\"23\" width=\"100%\" align=left valign=\"middle\"height=23 class=\"tblanco\">&nbsp;&nbsp;$title</td>
		</tr>
    	</table>

    <table width=\"100%\" border=\"0\" cellspacing=\"4\" cellpadding=\"4\">
      <tr>
        <td><font size=\"2\"><b>$title</b><br>$content</font></td>
      </tr>
    </table>";
}

?>