<?php

/************************************************************/
/* Theme Colors Definition                                  */
/*                                                          */
/* Define colors for your web site. $bgcolor2 is generaly   */
/* used for the tables border as you can see on OpenTable() */
/* function, $bgcolor1 is for the table background and the  */
/* other two bgcolor variables follows the same criteria.   */
/* $texcolor1 and 2 are for tables internal texts           */
/************************************************************/

$thename    = "Reverie";
$bgcolor1 = "#D2CEC5";
$bgcolor2 = "#C8C2A5";
$bgcolor3 = "#C8C2A5";
$bgcolor4 = "#C8C2A5";
$bgcolor5 = "#D2CEC5";
$textcolor1 = "#000000";
$textcolor2 = "#000000";
$bargif     = "images/stats/bar2.gif";

/************************************************************/
/* FormatStory                                              */
/*                                                          */
/* Here we'll format the look of the stories in our site.   */
/* If you dig a little on the function you will notice that */
/* we set different stuff for anonymous, admin and users    */
/* when displaying the story.                               */
/************************************************************/

function FormatStory($thetext, $notes, $aid, $informant) {
    global $anonymous;
    if ($notes != "") {
        $notes = "<br><br><b>".translate("Note")."</b> <i>$notes</i>\n";
    } else {
        $notes = "";
    }
    if ("$aid" == "$informant") {
        echo "$thetext$notes\n";
    } else {
        if($informant != "") {
            $boxstuff = "<a href=\"user.php?op=userinfo&uname=$informant\">$informant</a> ";
        } else {
            $boxstuff = "$anonymous ";
        }
        $boxstuff .= "".translate("writes")." <i>\"$thetext\"</i>$notes\n";
        echo "$boxstuff\n";
    }
}

/************************************************************/
/* Function themeindex()                                    */
/*                                                          */
/* This function format the stories on the Homepage         */
/************************************************************/

function themeindex ($aid, $informant, $time, $title, $counter, $topic, $thetext, $notes, $morelink, $topicname, $topicimage, $topictext) {
    global $anonymous, $tipath;
    echo "<br><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"99%\" align=\"center\">\n"
    ."<tr>\n"
    ."<td>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" bgcolor=\"D2CEC5\">\n"
        ."<tr>\n"
        ."<td align=\"left\" valign=\"top\" width=\"30\" height=\"30\"><img src=\"themes/Reverie/images/sidebox-title-left.gif\"></td>\n"
        ."<td align=\"left\" valign=\"middle\" background=\"themes/Reverie/images/sidebox-title-bg.gif\" width=\"100%\" height=\"30\">\n"
        ."<font class=\"option\" color=\"#363636\">&nbsp;&nbsp;<b>$title</b></font>\n"
        ."</td>\n"
        ."<td align=\"left\" valign=\"top\" width=\"35\" height=\"30\"><img src=\"themes/Reverie/images/sidebox-title-right.gif\"></td>\n"
        ."</tr>\n"
        ."</table>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr>\n"
        ."<td>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr>\n"
        ."<td align=\"left\" valign=\"top\" width=\"15\" height=\"46\"><img src=\"themes/Reverie/images/storybox-left.gif\"></td>\n"
        ."<td align=\"left\" valign=\"middle\" background=\"themes/Reverie/images/storybox-bg.gif\" width=\"100%\" height=\"46\">\n"
        ."<font color=\"#000000\" size=\"1\">".translate("Posted by")." ";
    formatAidHeader($aid);
    echo " ".translate("on")." $time $timezone ($counter ".translate("reads").")</font>\n"
        ."<font color=\"#000000\">$morelink</font>\n"
        ."</td>\n"
    ."<td width=\"12\" align=\"left\" valign=\"top\"><img src=\"themes/Reverie/images/storybox-right.gif\"></td>\n"
        ."</tr>\n"
        ."</table>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\" bgcolor=\"D2CEC5\">\n"
        ."<tr>\n"
        ."<td width=\"6\" align=\"left\" valign=\"top\" background=\"themes/Reverie/images/sidebox-bar-left.gif\"><img src=\"themes/Reverie/images/sidebox-bar-px.gif\"></td>\n"
        ."<td>\n"

        ."<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr valign=\"top\">\n"
        ."<td width=\"800\">\n"
        ."<font color=\"#999999\"><b><a href=\"search.php?query=&topic=$topic\"><img src=\"$tipath$topicimage\" border=\"0\" Alt=\"$topictext\" align=\"right\" hspace=\"10\" vspace=\"10\"></a></B></font>\n";
    FormatStory($thetext, $notes, $aid, $informant);
    echo "</td></tr></table>\n"
    ."</td>\n"
    ."<td width=\"13\" align=\"left\" valign=\"top\" background=\"themes/Reverie/images/storybox-content-right.gif\"><img src=\"themes/Reverie/images/storybox-content-right-px.gif\"></td>\n"
    ."</tr></table>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr valign=\"top\">\n"
        ."<td width=\"165\" height=\"29\" align=\"left\" valign=\"top\"><img src=\"themes/Reverie/images/storybox-bottom-left.gif\"></td>\n"
        ."<td width=\"100%\" height=\"29\" background=\"themes/Reverie/images/storybox-bottom-bg.gif\">&nbsp;</td>\n"
        ."<td width=\"165\" height=\"29\" align=\"left\" valign=\"top\"><img src=\"themes/Reverie/images/storybox-bottom-right.gif\"></td>\n"
    ."</table>\n"

    ."</td></tr></table>\n"

    ."</td></tr></table>\n";
}

/************************************************************/
/* Function themearticle()                                  */
/*                                                          */
/* This function format the stories on the story page, when */
/* you click on that "Read More..." link in the home        */
/************************************************************/

function themearticle ($aid, $informant, $datetime, $title, $thetext, $topic, $topicname, $topicimage, $topictext) {
    global $admin, $sid, $tipath;
    echo "<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td><a href=\"search.php?query=&topic=$topic\"><img src=\"$tipath$topicimage\" border=\"0\" Alt=\"$topictext\" align=\"right\" hspace=\"1\" vspace=\"3\"></a><font class=\"arthead\">$title</font><br>\n"
        ."<font class=\"artsubhead\">".translate("Posted on")." $datetime ".translate("by")." ";
    formatAidHeader($aid);
    if ($admin) {
        echo "<br>[ <a href=\"admin.php?op=EditStory&sid=$sid\">".translate("Edit")."</a> | <a href=\"admin.php?op=RemoveStory&sid=$sid\">".translate("Delete")."</a> ]\n";
    }
    echo "</td></tr></table><table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" background=\"themes/Reverie/images/line_bg.gif\"><tr><td width=\"4\" height=\"7\"><img src=\"themes/Reverie/images/corner_line_left.gif\" width=\"4\" height=\"7\"></td><td><table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\"><tr><td><img src=\"themes/Reverie/images/line_bg.gif\" height=\"7\"></td></tr></table></td><td width=\"4\" height=\"7\" align=\"right\"><img src=\"themes/Reverie/images/corner_line_right.gif\" width=\"4\" height=\"7\"></td></tr></table><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n";
    echo "<tr><td class=\"art\"><br>\n";
    FormatStory($thetext, $notes="", $aid, $informant);
    echo "</td></tr></table><br>\n";
}

/************************************************************/
/* Function themesidebox()                                  */
/*                                                          */
/* Control look of your blocks. Just simple.                */
/************************************************************/

include ("modules/aide-contextuelle/AC.php");

function themesidebox($title, $content) {

    $title=AidBlocRequestX($title);

    echo "<img src=\"themes/Reverie/images/box_head.gif\" width=\"175\" height=\"19\" alt=\"\" border=\"0\"><br><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" background=\"themes/Reverie/images/box_headline.gif\" width=\"175\" height=\"21\"><tr><td align=center class=\"menuehead\">\n"
        ."$title\n"
        ."</td></tr></table>\n"
        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"175\" bgcolor=\"C8C2A5\">\n"
        ."<tr valign=\"top\"><td width=\"20\" background=\"themes/Reverie/images/box_bg_l.gif\"><img src=\"themes/Reverie/images/pixel.gif\" width=\"20\" height=\"10\"></td><td class=\"artsubhead\"><img src=\"themes/Reverie/images/pixel.gif\" width=\"115\" height=\"1\"><br>\n"
        ."$content\n"
    ."</td><td width=\"15\" background=\"themes/Reverie/images/box_bg_r.gif\"><img src=\"themes/Reverie/images/pixel.gif\" width=\"15\" height=\"10\"></td></tr></table><img src=\"themes/Reverie/images/box_foot.gif\" width=\"175\" height=\"32\" alt=\"\" border=\"0\"><br>\n";
}

?>