<?php

/************************************************************/
/* Theme Colors Definition                                  */
/************************************************************/
$theme    = "XP-Olive";
$bgcolor1 = "#ECE9D8";
$bgcolor2 = "#869271";
$bgcolor3 = "#DDDACA";
$bgcolor4 = "#C0D0A1";
$bgcolor5 = "#C0D0A1";
$bgcolor6 = "#C0D0A1";
$textcolor1 = "#000000";
$textcolor2 = "#000000";
$bargif = "images/stats/bar2.gif";

/************************************************************/
/* OpenTable Functions                                      */
/************************************************************/

function OpenTablex() {
    global $bgcolor1, $bgcolor2;
    echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"0\" bgcolor=\"$bgcolor2\"><tr><td>\n";
    echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"8\" bgcolor=\"$bgcolor1\"><tr><td>\n";
}

function CloseTablex() {
    echo "</td></tr></table></td></tr></table>\n";
}

function OpenTable2x() {
    global $bgcolor1, $bgcolor2;
    echo "<table border=\"0\" cellspacing=\"1\" cellpadding=\"0\" bgcolor=\"$bgcolor2\" align=\"center\"><tr><td>\n";
    echo "<table border=\"0\" cellspacing=\"1\" cellpadding=\"8\" bgcolor=\"$bgcolor1\"><tr><td>\n";
}

function CloseTable2x() {
    echo "</td></tr></table></td></tr></table>\n";
}

/************************************************************/
/* FormatStory                                              */
/************************************************************/

function FormatStory($thetext, $notes, $aid, $informant) {
    global $anonymous;
    if ($notes != "") {
        $notes = "<br><br><br><b>Notes</b> <i>$notes</i>\n";
    } else {
        $notes = "";
    }
    if ("$aid" == "$informant") {
        echo "<font class=\"content\" color=\"#505050\">$thetext$notes</font>\n";
    } else {
        if($informant != "") {
            $boxstuff = "<a href=\"user.php?op=userinfo&amp;uname=$informant\">$informant</a> ";
        } else {
            $boxstuff = "$anonymous ";
        }
        $boxstuff .= "".translate("writes")." \"$thetext\"$notes\n";
        echo "<font class=\"content\" color=\"#505050\">$boxstuff</font>\n";
    }
}

/************************************************************/
/* Function themeindex()                                    */
/************************************************************/

function themeindex ($aid, $informant, $time, $title, $counter, $topic, $thetext, $notes, $morelink, $topicname, $topicimage, $topictext) {
    global $theme, $anonymous, $tipath;
    echo "<br><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" bgcolor=\"#ffffff\" width=\"100%\">\n"
    ."<tr>\n"
    ."<td>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr>\n"
        ."<td align=\"left\" valign=\"top\" width=\"26\" height=\"30\"><img src=\"themes/$theme/images/sidebox-title-left.gif\"></td>\n"
        ."<td align=\"left\" valign=\"middle\" background=\"themes/$theme/images/sidebox-title-bg.gif\" width=\"100%\" height=\"30\">\n"
        ."<font class=\"option\" color=\"#363636\">&nbsp;&nbsp;<b>$title</b></font>\n"
        ."</td>\n"
        ."<td align=\"left\" valign=\"top\" width=\"6\" height=\"30\"><img src=\"themes/$theme/images/sidebox-title-right.gif\"></td>\n"
        ."</tr>\n"
        ."</table>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr>\n"
        ."<td>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr>\n"
        ."<td align=\"left\" valign=\"top\" width=\"15\" height=\"46\"><img src=\"themes/$theme/images/storybox-left.gif\"></td>\n"
        ."<td align=\"left\" valign=\"middle\" background=\"themes/$theme/images/storybox-bg.gif\" width=\"100%\" height=\"46\">\n"
        ."<font color=\"#999999\" size=\"1\">".translate("Posted by ")." ";
    formatAidHeader($aid);
    echo " ".translate("on")." $time $timezone ($counter ".translate("reads").")</font>\n"
        ."</td>\n"
    ."<td width=\"12\" align=\"left\" valign=\"top\"><img src=\"themes/$theme/images/storybox-right.gif\"></td>\n"
        ."</tr>\n"
        ."</table>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr>\n"
        ."<td width=\"4\" align=\"left\" valign=\"top\" background=\"themes/$theme/images/sidebox-bar-left.gif\"><img src=\"themes/$theme/images/sidebox-bar-px.gif\"></td>\n"
        ."<td>\n"

        ."<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr valign=\"top\">\n"
        ."<td>\n"
        ."<font color=\"#999999\"><b><a href=\"search.php?query=&amp;topic=$topic\"><img src=\"$tipath$topicimage\" border=\"0\" Alt=\"$topictext\" align=\"right\" hspace=\"10\" vspace=\"10\"></a></B></font>\n";
    FormatStory($thetext, $notes, $aid, $informant);
    echo "</td></tr></table>\n"
    ."</td>\n"
    ."<td width=\"13\" align=\"left\" valign=\"top\" background=\"themes/$theme/images/storybox-content-right.gif\"><img src=\"themes/$theme/images/storybox-content-right-px.gif\"></td>\n"
    ."</tr></table>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr valign=\"top\">\n"
        ."<td width=\"9\" height=\"29\" align=\"left\" valign=\"top\"><img src=\"themes/$theme/images/storybox-bottom-left.gif\"></td>\n"
        ."<td align=\"right\" valign=\"middle\" width=\"100%\" height=\"29\" background=\"themes/$theme/images/storybox-bottom-bg.gif\">\n"
        ."<font color=\"#999999\">$morelink</font>&nbsp;</td>\n"
        ."<td width=\"18\" height=\"29\" align=\"left\" valign=\"top\"><img src=\"themes/$theme/images/storybox-bottom-right.gif\"></td>\n"
    ."</table>\n"

    ."</td></tr></table>\n"

    ."</td></tr></table>\n";
}

/************************************************************/
/* Function themearticle()                                  */
/************************************************************/

function themearticle ($aid, $informant, $datetime, $title, $thetext, $topic, $topicname, $topicimage, $topictext) {
    global $theme, $admin, $sid, $tipath;
    echo "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" bgcolor=\"#ffffff\" width=\"100%\"><tr><td>\n"
        ."<table border=\"0\" cellpadding=\"1\" cellspacing=\"0\" bgcolor=\"#000000\" width=\"100%\"><tr><td>\n"
        ."<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" bgcolor=\"#C0D0A1\" width=\"100%\"><tr><td align=\"left\">\n"
        ."<font class=\"option\" color=\"#363636\"><b>$title</b></font><br>\n"
        ."<font class=\"content\">".translate("Posted on ")." $datetime par ";
    formatAidHeader($aid);
    if ($admin) {
        echo "<br>[ <a href=\"admin.php?op=EditStory&amp;sid=$sid\">".translate("Edit")."</a> | <a href=\"admin.php?op=RemoveStory&amp;sid=$sid\">".translate("Delete")."</a> ]\n";
    }
    echo "</td></tr></table></td></tr></table><br>";
    echo "<a href=\"search.php?query=&amp;topic=$topic\"><img src=\"$tipath$topicimage\" border=\"0\" Alt=\"$topictext\" align=\"right\" hspace=\"10\" vspace=\"10\"></a>\n";
    FormatStory($thetext, $notes="", $aid, $informant);
    echo "</td></tr></table><br>\n\n\n";
}

/************************************************************/
/* Function themesidebox()                                  */
/************************************************************/

function themesidebox($title, $content) {
    global $theme, $admin, $sid, $tipath;
    echo "<br><table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"175\"><tr><td>\n"
        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\">\n"
        ."<tr>\n"
        ."<td align=\"left\" valign=\"top\" width=\"26\" height=\"30\"><img src=\"themes/$theme/images/sidebox-title-left.gif\"></td>\n"
        ."<td align=\"left\" valign=\"middle\" background=\"themes/$theme/images/sidebox-title-bg.gif\" width=\"143\" height=\"30\">\n"
        ."<font class=\"option\" color=\"#ffffff\">&nbsp;&nbsp;<b>$title</b></font></td>\n"
        ."<td align=\"left\" valign=\"top\" width=\"6\" height=\"30\"><img src=\"themes/$theme/images/sidebox-title-right.gif\"></td>\n"
        ."</tr>\n"
        ."</table>\n"
        ."</td>\n"
        ."</tr>\n"
        ."</table>\n\n"
        ."<!----- Side Box Content ----->\n"
        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"175\">\n"
        ."<tr valign=\"top\">\n"
        ."<td width=\"4\" align=\"left\" valign=\"top\" background=\"themes/$theme/images/sidebox-bar-left.gif\"><img src=\"themes/$theme/images/sidebox-bar-px.gif\"></td>\n"

        ."<td bgcolor=\"#ECE9D8\" width=\"166\" align=\"left\" valign=\"top\">\n"
        ."<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\" width=\"166\">\n"
        ."<tr>\n"
        ."<td>\n"
        ."$content\n"
        ."</td>\n"
        ."</tr>\n"
        ."</table>\n"
        ."</td>\n"
    ."<td width=\"4\" align=\"left\" valign=\"top\" background=\"themes/$theme/images/sidebox-bar-right.gif\"><img src=\"themes/$theme/images/sidebox-bar-px.gif\"></td>\n"
        ."</tr></table>\n"

        ."<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"175\">\n"
        ."<tr>\n"
        ."<td align=\"left\" valign=\"top\" width=\"175\" height=\"29\">\n"
        ."<img src=\"themes/$theme/images/sidebox-bottom.gif\">\n"
        ."</td>\n"
        ."</tr>\n"
        ."</table>\n\n\n";
}

?>